BUILDDIR := build
TIQ := tiq/tiq -n BG,WHITE -q NEUTRAL,ONECC,TWOCC -
X2P := xcf2png --autocrop --background \\\#0000FF --dissolve
GFXDIR := src/gfx
SELF := src/graphics.mk


# Empty
$(BUILDDIR)/empty.png: $(GFXDIR)/empty.png
	cp $< $@

### Signals ###

# Semaphores
$(BUILDDIR)/signals_sema_block_red.png: $(GFXDIR)/signals.xcf $(SELF)
	$(X2P) $< bg sema sema_red > $@
$(BUILDDIR)/signals_sema_block_green.png: $(GFXDIR)/signals.xcf $(SELF)
	$(X2P) $< bg sema sema_green > $@
$(BUILDDIR)/signals_sema_pre_entry_red.png: $(GFXDIR)/signals.xcf $(SELF)
	$(X2P) $< bg sema sema_red sema_pre_entry > $@
$(BUILDDIR)/signals_sema_pre_entry_green.png: $(GFXDIR)/signals.xcf $(SELF)
	$(X2P) $< bg sema sema_green sema_pre_entry > $@
$(BUILDDIR)/signals_sema_pre_exit_red.png: $(GFXDIR)/signals.xcf $(SELF)
	$(X2P) $< bg sema sema_red sema_pre_exit > $@
$(BUILDDIR)/signals_sema_pre_exit_green.png: $(GFXDIR)/signals.xcf $(SELF)
	$(X2P) $< bg sema sema_green sema_pre_exit > $@
$(BUILDDIR)/signals_sema_pre_combo_red.png: $(GFXDIR)/signals.xcf $(SELF)
	$(X2P) $< bg sema sema_red sema_pre_combo > $@
$(BUILDDIR)/signals_sema_pre_combo_green.png: $(GFXDIR)/signals.xcf $(SELF)
	$(X2P) $< bg sema sema_green sema_pre_combo > $@
$(BUILDDIR)/signals_sema_pbs_twoway_red.png: $(GFXDIR)/signals.xcf $(SELF)
	$(X2P) $< bg sema sema_red sema_pbs_twoway > $@
$(BUILDDIR)/signals_sema_pbs_twoway_green.png: $(GFXDIR)/signals.xcf $(SELF)
	$(X2P) $< bg sema sema_green sema_pbs_twoway > $@
$(BUILDDIR)/signals_sema_pbs_oneway_red.png: $(GFXDIR)/signals.xcf $(SELF)
	$(X2P) $< bg sema sema_red sema_pbs_oneway > $@
$(BUILDDIR)/signals_sema_pbs_oneway_green.png: $(GFXDIR)/signals.xcf $(SELF)
	$(X2P) $< bg sema sema_green sema_pbs_oneway > $@

# Block signals which are the same for old system and new system
$(BUILDDIR)/signals_block_red.png: $(GFXDIR)/signals.xcf $(SELF)
	$(X2P) $< bg block block_red > $@
$(BUILDDIR)/signals_block_green.png: $(GFXDIR)/signals.xcf $(SELF)
	$(X2P) $< bg block block_green > $@

# Old system
$(BUILDDIR)/signals_os_pre_entry_red.png: $(GFXDIR)/signals.xcf $(SELF)
	$(X2P) $< bg os_main_2 os_main_2_red os_pre os_pre_yellow > $@
$(BUILDDIR)/signals_os_pre_entry_green.png: $(GFXDIR)/signals.xcf $(SELF)
	$(X2P) $< bg os_main_2 os_main_2_green os_pre os_pre_yellow > $@
$(BUILDDIR)/signals_os_pre_exit_red.png: $(GFXDIR)/signals.xcf $(SELF)
	$(X2P) $< bg os_main_2 os_main_2_red os_pre os_pre_green > $@
$(BUILDDIR)/signals_os_pre_exit_green.png: $(GFXDIR)/signals.xcf $(SELF)
	$(X2P) $< bg os_main_2 os_main_2_green os_pre os_pre_green > $@
$(BUILDDIR)/signals_os_pre_combo_red.png: $(GFXDIR)/signals.xcf $(SELF)
	$(X2P) $< bg os_main_2 os_main_2_red os_pre os_pre_yellow os_pre_green > $@
$(BUILDDIR)/signals_os_pre_combo_green.png: $(GFXDIR)/signals.xcf $(SELF)
	$(X2P) $< bg os_main_2 os_main_2_green os_pre os_pre_yellow os_pre_green > $@
$(BUILDDIR)/signals_os_pbs_twoway_red.png: $(GFXDIR)/signals.xcf $(SELF)
	$(X2P) $< bg os_main_3 os_main_3_red > $@
$(BUILDDIR)/signals_os_pbs_twoway_green.png: $(GFXDIR)/signals.xcf $(SELF)
	$(X2P) $< bg os_main_3 os_main_3_green > $@
$(BUILDDIR)/signals_os_pbs_oneway_red.png: $(GFXDIR)/signals.xcf $(SELF)
	$(X2P) $< bg os_main_3 os_main_3_red os_main_3_yellow > $@
$(BUILDDIR)/signals_os_pbs_oneway_green.png: $(GFXDIR)/signals.xcf $(SELF)
	$(X2P) $< bg os_main_3 os_main_3_green os_main_3_yellow > $@

# New system
$(BUILDDIR)/signals_ns_pre_entry_red.png: $(GFXDIR)/signals.xcf $(SELF)
	$(X2P) $< bg ns_main_2 ns_main_2_red ns_pre ns_pre_yellow > $@
$(BUILDDIR)/signals_ns_pre_entry_green.png: $(GFXDIR)/signals.xcf $(SELF)
	$(X2P) $< bg ns_main_2 ns_main_2_green ns_pre ns_pre_yellow > $@
$(BUILDDIR)/signals_ns_pre_exit_red.png: $(GFXDIR)/signals.xcf $(SELF)
	$(X2P) $< bg ns_main_2 ns_main_2_red ns_pre ns_pre_green > $@
$(BUILDDIR)/signals_ns_pre_exit_green.png: $(GFXDIR)/signals.xcf $(SELF)
	$(X2P) $< bg ns_main_2 ns_main_2_green ns_pre ns_pre_green > $@
$(BUILDDIR)/signals_ns_pre_combo_red.png: $(GFXDIR)/signals.xcf $(SELF)
	$(X2P) $< bg ns_main_2 ns_main_2_red ns_pre ns_pre_yellow_green > $@
$(BUILDDIR)/signals_ns_pre_combo_green.png: $(GFXDIR)/signals.xcf $(SELF)
	$(X2P) $< bg ns_main_2 ns_main_2_green ns_pre ns_pre_yellow_green > $@
$(BUILDDIR)/signals_ns_pbs_twoway_red.png: $(GFXDIR)/signals.xcf $(SELF)
	$(X2P) $< bg ns_main_3 ns_main_3_red > $@
$(BUILDDIR)/signals_ns_pbs_twoway_green.png: $(GFXDIR)/signals.xcf $(SELF)
	$(X2P) $< bg ns_main_3 ns_main_3_green > $@
$(BUILDDIR)/signals_ns_pbs_oneway_red.png: $(GFXDIR)/signals.xcf $(SELF)
	$(X2P) $< bg ns_main_3 ns_main_3_red ns_main_3_yellow > $@
$(BUILDDIR)/signals_ns_pbs_oneway_green.png: $(GFXDIR)/signals.xcf $(SELF)
	$(X2P) $< bg ns_main_3 ns_main_3_green ns_main_3_yellow > $@

# OJ2010
$(BUILDDIR)/signals_oj2010_block_red.png: $(GFXDIR)/signals.xcf $(SELF)
	$(X2P) $< bg oj oj_upper_red > $@
$(BUILDDIR)/signals_oj2010_block_green.png: $(GFXDIR)/signals.xcf $(SELF)
	$(X2P) $< bg oj oj_upper_green > $@
$(BUILDDIR)/signals_oj2010_pre_entry_red.png: $(GFXDIR)/signals.xcf $(SELF)
	$(X2P) $< bg oj oj_upper_red oj_lower_yellow > $@
$(BUILDDIR)/signals_oj2010_pre_entry_green.png: $(GFXDIR)/signals.xcf $(SELF)
	$(X2P) $< bg oj oj_upper_green oj_lower_yellow > $@
$(BUILDDIR)/signals_oj2010_pre_exit_red.png: $(GFXDIR)/signals.xcf $(SELF)
	$(X2P) $< bg oj oj_upper_red oj_lower_green > $@
$(BUILDDIR)/signals_oj2010_pre_exit_green.png: $(GFXDIR)/signals.xcf $(SELF)
	$(X2P) $< bg oj oj_upper_green oj_lower_green > $@
$(BUILDDIR)/signals_oj2010_pre_combo_red.png: $(GFXDIR)/signals.xcf $(SELF)
	$(X2P) $< bg oj oj_upper_red oj_lower_yellow oj_lower_green > $@
$(BUILDDIR)/signals_oj2010_pre_combo_green.png: $(GFXDIR)/signals.xcf $(SELF)
	$(X2P) $< bg oj oj_upper_green oj_lower_yellow oj_lower_green > $@
$(BUILDDIR)/signals_oj2010_pbs_twoway_red.png: $(GFXDIR)/signals.xcf $(SELF)
	$(X2P) $< bg oj oj_upper_red oj_upper_yellow > $@
$(BUILDDIR)/signals_oj2010_pbs_twoway_green.png: $(GFXDIR)/signals.xcf $(SELF)
	$(X2P) $< bg oj oj_upper_green oj_upper_yellow > $@
$(BUILDDIR)/signals_oj2010_pbs_oneway_red.png: $(GFXDIR)/signals.xcf $(SELF)
	$(X2P) $< bg oj oj_upper_red oj_upper_yellow oj_lower_yellow > $@
$(BUILDDIR)/signals_oj2010_pbs_oneway_green.png: $(GFXDIR)/signals.xcf $(SELF)
	$(X2P) $< bg oj oj_upper_green oj_upper_yellow oj_lower_yellow > $@

# Shunting
$(BUILDDIR)/signals_sh1_red.png: $(GFXDIR)/signals.xcf $(SELF)
	$(X2P) $< bg sh sh_old_stop > $@
$(BUILDDIR)/signals_sh1_block_green.png: $(GFXDIR)/signals.xcf $(SELF)
	$(X2P) $< bg sh sh_old_eiopas > $@
$(BUILDDIR)/signals_sh1_pbs_oneway_green.png: $(GFXDIR)/signals.xcf $(SELF)
	$(X2P) $< bg sh sh_old_careful > $@
$(BUILDDIR)/signals_sh2_red.png: $(GFXDIR)/signals.xcf $(SELF)
	$(X2P) $< bg sh sh_new_stop > $@
$(BUILDDIR)/signals_sh2_block_green.png: $(GFXDIR)/signals.xcf $(SELF)
	$(X2P) $< bg sh sh_new_eiopas > $@
$(BUILDDIR)/signals_sh2_pbs_oneway_green.png: $(GFXDIR)/signals.xcf $(SELF)
	$(X2P) $< bg sh sh_new_careful > $@

# Metro
$(BUILDDIR)/signals_metro_block_red.png: $(GFXDIR)/signals.xcf $(SELF)
	$(X2P) $< bg metro_3 metro_red > $@
$(BUILDDIR)/signals_metro_block_green.png: $(GFXDIR)/signals.xcf $(SELF)
	$(X2P) $< bg metro_3 metro_3_green > $@
$(BUILDDIR)/signals_metro_pre_entry_red.png: $(GFXDIR)/signals.xcf $(SELF)
	$(X2P) $< bg metro_4 metro_4_yellow metro_red > $@
$(BUILDDIR)/signals_metro_pre_entry_green.png: $(GFXDIR)/signals.xcf $(SELF)
	$(X2P) $< bg metro_4 metro_4_yellow metro_4_green > $@
$(BUILDDIR)/signals_metro_pre_exit_red.png: $(GFXDIR)/signals.xcf $(SELF)
	$(X2P) $< bg metro_4 metro_4_white metro_red > $@
$(BUILDDIR)/signals_metro_pre_exit_green.png: $(GFXDIR)/signals.xcf $(SELF)
	$(X2P) $< bg metro_4 metro_4_white metro_4_green > $@
$(BUILDDIR)/signals_metro_pre_combo_red.png: $(GFXDIR)/signals.xcf $(SELF)
	$(X2P) $< bg metro_4 metro_4_white metro_4_yellow metro_red > $@
$(BUILDDIR)/signals_metro_pre_combo_green.png: $(GFXDIR)/signals.xcf $(SELF)
	$(X2P) $< bg metro_4 metro_4_white metro_4_yellow metro_4_green > $@
$(BUILDDIR)/signals_metro_pbs_twoway_red.png: $(GFXDIR)/signals.xcf $(SELF)
	$(X2P) $< bg metro_4 metro_red > $@
$(BUILDDIR)/signals_metro_pbs_twoway_green.png: $(GFXDIR)/signals.xcf $(SELF)
	$(X2P) $< bg metro_4 metro_4_green > $@
$(BUILDDIR)/signals_metro_pbs_oneway_red.png: $(GFXDIR)/signals.xcf $(SELF)
	$(X2P) $< bg metro_4 metro_red > $@
$(BUILDDIR)/signals_metro_pbs_oneway_green.png: $(GFXDIR)/signals.xcf $(SELF)
	$(X2P) $< bg metro_4 metro_4_doublegreen > $@



### Level crossings ###
# Tracks
$(BUILDDIR)/lc_tracks_sand.png: $(GFXDIR)/tracks.xcf $(SELF)
	$(X2P) $< bg sand_1 lc_overlay rail | $(TIQ) > $@
$(BUILDDIR)/lc_tracks_gravel.png: $(GFXDIR)/tracks.xcf $(SELF)
	$(X2P) $< bg gravel_1 lc_overlay rail | $(TIQ) > $@
$(BUILDDIR)/lc_tracks_ballast.png: $(GFXDIR)/tracks.xcf $(SELF)
	$(X2P) $< bg ballast_1 lc_overlay rail | $(TIQ) > $@
$(BUILDDIR)/lc_tracks_snow.png: $(GFXDIR)/tracks.xcf $(SELF)
	$(X2P) $< bg rail | $(TIQ) > $@

# Rest
$(BUILDDIR)/lc_ung_right.png: $(GFXDIR)/level_crossings.xcf $(SELF)
	$(X2P) $< bg ung_right > $@
$(BUILDDIR)/lc_ung_left.png: $(GFXDIR)/level_crossings.xcf $(SELF)
	$(X2P) $< bg plow_signs_back plow_signs_front > $@
$(BUILDDIR)/lc_s_vavl_right.png: $(GFXDIR)/level_crossings.xcf $(SELF)
	$(X2P) $< bg s_right > $@
$(BUILDDIR)/lc_s_vavl_left.png: $(GFXDIR)/level_crossings.xcf $(SELF)
	$(X2P) $< bg plow_signs_back plow_signs_front > $@
$(BUILDDIR)/lc_s_ppl_right.png: $(GFXDIR)/level_crossings.xcf $(SELF)
	$(X2P) $< bg barriers_right_back s_right barriers_right_front > $@
$(BUILDDIR)/lc_s_ppl_left.png: $(GFXDIR)/level_crossings.xcf $(SELF)
	$(X2P) $< bg plow_signs_back plow_signs_front > $@
$(BUILDDIR)/lc_lme_vavl_right.png: $(GFXDIR)/level_crossings.xcf $(SELF)
	$(X2P) $< bg lme_right > $@
$(BUILDDIR)/lc_lme_vavl_left.png: $(GFXDIR)/level_crossings.xcf $(SELF)
	$(X2P) $< bg plow_signs_back plow_signs_front > $@
$(BUILDDIR)/lc_lme_ppl_right.png: $(GFXDIR)/level_crossings.xcf $(SELF)
	$(X2P) $< bg barriers_right_back lme_right barriers_right_front > $@
$(BUILDDIR)/lc_lme_ppl_left.png: $(GFXDIR)/level_crossings.xcf $(SELF)
	$(X2P) $< bg plow_signs_back plow_signs_front > $@
$(BUILDDIR)/lc_fi_vavl_right.png: $(GFXDIR)/level_crossings.xcf $(SELF)
	$(X2P) $< bg fi_right > $@
$(BUILDDIR)/lc_fi_vavl_left.png: $(GFXDIR)/level_crossings.xcf $(SELF)
	$(X2P) $< bg plow_signs_back plow_signs_front > $@
$(BUILDDIR)/lc_fi_ppl_right.png: $(GFXDIR)/level_crossings.xcf $(SELF)
	$(X2P) $< bg barriers_right_back fi_right barriers_right_front > $@
$(BUILDDIR)/lc_fi_ppl_left.png: $(GFXDIR)/level_crossings.xcf $(SELF)
	$(X2P) $< bg plow_signs_back plow_signs_front > $@
$(BUILDDIR)/lc_y_ppl_right.png: $(GFXDIR)/level_crossings.xcf $(SELF)
	$(X2P) $< bg barriers_right_back y_right barriers_right_front > $@
$(BUILDDIR)/lc_y_ppl_left.png: $(GFXDIR)/level_crossings.xcf $(SELF)
	$(X2P) $< bg plow_signs_back plow_signs_front > $@
$(BUILDDIR)/lc_prpl_right.png: $(GFXDIR)/level_crossings.xcf $(SELF)
	$(X2P) $< bg barriers_right_back prpl_right barriers_right_front > $@
$(BUILDDIR)/lc_prpl_left.png: $(GFXDIR)/level_crossings.xcf $(SELF)
	$(X2P) $< bg plow_signs_back barriers_left_back prpl_left barriers_left_front plow_signs_front > $@
$(BUILDDIR)/lc_pts_mech_right.png: $(GFXDIR)/level_crossings.xcf $(SELF)
	$(X2P) $< bg pts_mech > $@
$(BUILDDIR)/lc_pts_mech_left.png: $(GFXDIR)/level_crossings.xcf $(SELF)
	$(X2P) $< bg plow_signs_back plow_signs_front > $@
$(BUILDDIR)/lc_mi_mech1_right.png: $(GFXDIR)/level_crossings.xcf $(SELF)
	$(X2P) $< bg mi_mech_right > $@
$(BUILDDIR)/lc_mi_mech1_left.png: $(GFXDIR)/level_crossings.xcf $(SELF)
	$(X2P) $< bg plow_signs_back mi_mech_left plow_signs_front > $@
$(BUILDDIR)/lc_mi_mech2_right.png: $(GFXDIR)/level_crossings.xcf $(SELF)
	$(X2P) $< bg mi_mech_right > $@
$(BUILDDIR)/lc_mi_mech2_left.png: $(GFXDIR)/level_crossings.xcf $(SELF)
	$(X2P) $< bg plow_signs_back mi_mech2_left mi_mech_left plow_signs_front > $@
$(BUILDDIR)/lc_mi_mech3_right.png: $(GFXDIR)/level_crossings.xcf $(SELF)
	$(X2P) $< bg mi_mech_right > $@
$(BUILDDIR)/lc_mi_mech3_left.png: $(GFXDIR)/level_crossings.xcf $(SELF)
	$(X2P) $< bg plow_signs_back mi_mech3_left mi_mech2_left mi_mech_left plow_signs_front > $@
$(BUILDDIR)/lc_s_vavl_sai_right.png: $(GFXDIR)/level_crossings.xcf $(SELF)
	$(X2P) $< bg s_right > $@
$(BUILDDIR)/lc_s_vavl_sai_left.png: $(GFXDIR)/level_crossings.xcf $(SELF)
	$(X2P) $< bg plow_signs_back alarm_signals_back fi_left plow_signs_front alarm_signals_front > $@
$(BUILDDIR)/lc_s_ppl_lap_right.png: $(GFXDIR)/level_crossings.xcf $(SELF)
	$(X2P) $< bg barriers_right_back s_right barriers_right_front > $@
$(BUILDDIR)/lc_s_ppl_lap_left.png: $(GFXDIR)/level_crossings.xcf $(SELF)
	$(X2P) $< bg alarm_signals_back plow_signs_back s_left plow_signs_front > $@
$(BUILDDIR)/lc_s_ppl_her_right.png: $(GFXDIR)/level_crossings.xcf $(SELF)
	$(X2P) $< bg barriers_right_back s_right barriers_right_front > $@
$(BUILDDIR)/lc_s_ppl_her_left.png: $(GFXDIR)/level_crossings.xcf $(SELF)
	$(X2P) $< bg alarm_signals_back plow_signs_back s_left plow_signs_front > $@
$(BUILDDIR)/lc_lme_ppl_kaa_right.png: $(GFXDIR)/level_crossings.xcf $(SELF)
	$(X2P) $< bg barriers_right_back lme_right barriers_right_front > $@
$(BUILDDIR)/lc_lme_ppl_kaa_left.png: $(GFXDIR)/level_crossings.xcf $(SELF)
	$(X2P) $< bg plow_signs_back lme_left plow_signs_front > $@
$(BUILDDIR)/lc_fi_ppl_kap_right.png: $(GFXDIR)/level_crossings.xcf $(SELF)
	$(X2P) $< bg barriers_right_back fi_right barriers_right_front > $@
$(BUILDDIR)/lc_fi_ppl_kap_left.png: $(GFXDIR)/level_crossings.xcf $(SELF)
	$(X2P) $< bg plow_signs_back fi_left plow_signs_front > $@
$(BUILDDIR)/lc_fi_ppl_ven_right.png: $(GFXDIR)/level_crossings.xcf $(SELF)
	$(X2P) $< bg barriers_right_back fi_right barriers_right_front > $@
$(BUILDDIR)/lc_fi_ppl_ven_left.png: $(GFXDIR)/level_crossings.xcf $(SELF)
	$(X2P) $< bg plow_signs_back alarm_signals_back plow_signs_front alarm_signals_front > $@
$(BUILDDIR)/lc_led_vvl_right.png: $(GFXDIR)/level_crossings.xcf $(SELF)
	$(X2P) $< bg led_vvl_right > $@
$(BUILDDIR)/lc_led_vvl_left.png: $(GFXDIR)/level_crossings.xcf $(SELF)
	$(X2P) $< bg plow_signs_back plow_signs_front > $@
$(BUILDDIR)/lc_s_vavl_tso_right.png: $(GFXDIR)/level_crossings.xcf $(SELF)
	$(X2P) $< bg s_right > $@
$(BUILDDIR)/lc_s_vavl_tso_left.png: $(GFXDIR)/level_crossings.xcf $(SELF)
	$(X2P) $< bg plow_signs_back alarm_signals_back plow_signs_front alarm_signals_front > $@
$(BUILDDIR)/lc_s_ppl_tso_right.png: $(GFXDIR)/level_crossings.xcf $(SELF)
	$(X2P) $< bg barriers_right_back s_right barriers_right_front > $@
$(BUILDDIR)/lc_s_ppl_tso_left.png: $(GFXDIR)/level_crossings.xcf $(SELF)
	$(X2P) $< bg plow_signs_back alarm_signals_back plow_signs_front alarm_signals_front > $@
$(BUILDDIR)/lc_lme_vavl_tso_right.png: $(GFXDIR)/level_crossings.xcf $(SELF)
	$(X2P) $< bg lme_right > $@
$(BUILDDIR)/lc_lme_vavl_tso_left.png: $(GFXDIR)/level_crossings.xcf $(SELF)
	$(X2P) $< bg plow_signs_back alarm_signals_back plow_signs_front alarm_signals_front > $@
$(BUILDDIR)/lc_lme_ppl_tso_right.png: $(GFXDIR)/level_crossings.xcf $(SELF)
	$(X2P) $< bg barriers_right_back lme_right barriers_right_front > $@
$(BUILDDIR)/lc_lme_ppl_tso_left.png: $(GFXDIR)/level_crossings.xcf $(SELF)
	$(X2P) $< bg plow_signs_back alarm_signals_back plow_signs_front alarm_signals_front > $@
$(BUILDDIR)/lc_fi_vavl_tso_right.png: $(GFXDIR)/level_crossings.xcf $(SELF)
	$(X2P) $< bg fi_right > $@
$(BUILDDIR)/lc_fi_vavl_tso_left.png: $(GFXDIR)/level_crossings.xcf $(SELF)
	$(X2P) $< bg plow_signs_back alarm_signals_back plow_signs_front alarm_signals_front > $@
$(BUILDDIR)/lc_y_ppl_tso_right.png: $(GFXDIR)/level_crossings.xcf $(SELF)
	$(X2P) $< bg barriers_right_back y_right barriers_right_front > $@
$(BUILDDIR)/lc_y_ppl_tso_left.png: $(GFXDIR)/level_crossings.xcf $(SELF)
	$(X2P) $< bg plow_signs_back alarm_signals_back plow_signs_front alarm_signals_front > $@


### Catenary poles and wires ###
$(BUILDDIR)/catenary_pylons_25.png: $(GFXDIR)/catenary.xcf $(SELF)
	$(X2P) $< 25 > $@
$(BUILDDIR)/catenary_pylons_2x25.png: $(GFXDIR)/catenary.xcf $(SELF)
	$(X2P) $< 2x25 > $@
$(BUILDDIR)/catenary_wires.png: $(GFXDIR)/catenary.xcf $(SELF)
	$(X2P) $< wires > $@


### Tracks ###
# Tunnel overlay
$(BUILDDIR)/tracks_tunnel_overlay_facing.png: $(GFXDIR)/tracks.xcf $(SELF)
	$(X2P) $< bg tunnel_overlay_facing | $(TIQ) > $@
$(BUILDDIR)/tracks_tunnel_overlay_backside.png: $(GFXDIR)/tracks.xcf $(SELF)
	$(X2P) $< bg tunnel_overlay_backside | $(TIQ) > $@
$(BUILDDIR)/tracks_tunnel_overlay_facing_snow.png: $(GFXDIR)/tracks.xcf $(SELF)
	$(X2P) $< bg tunnel_overlay_facing tunnel_overlay_facing_snow | $(TIQ) > $@
$(BUILDDIR)/tracks_tunnel_overlay_backside_snow.png: $(GFXDIR)/tracks.xcf $(SELF)
	$(X2P) $< bg tunnel_overlay_backside tunnel_overlay_backside_snow | $(TIQ) > $@

# snow/wooden
$(BUILDDIR)/tracks_snow_wooden.png: $(GFXDIR)/tracks.xcf $(SELF)
	$(X2P) $< bg sleepers_wooden sleeper_snow_1 rail rail_shadow | $(TIQ) > $@
$(BUILDDIR)/tracks_snow_wooden_tunnel_underlay_facing.png: $(GFXDIR)/tracks.xcf $(SELF)
	$(X2P) $< bg snow_ogfx sleepers_wooden sleeper_snow_1 rail tunnel_underlay_facing tunnel_underlay_facing_shadow tunnel_underlay_facing_snow | $(TIQ) > $@
$(BUILDDIR)/tracks_snow_wooden_tunnel_underlay_backside.png: $(GFXDIR)/tracks.xcf $(SELF)
	$(X2P) $< bg sleepers_wooden sleeper_snow_1 rail tunnel_underlay_backside | $(TIQ) > $@
$(BUILDDIR)/tracks_snow_wooden_bridge.png: $(GFXDIR)/tracks.xcf $(SELF)
	$(X2P) $< bg snow_ogfx sleepers_wooden sleeper_snow_1 rail | $(TIQ) > $@

# snow/concrete
$(BUILDDIR)/tracks_snow_concrete.png: $(GFXDIR)/tracks.xcf $(SELF)
	$(X2P) $< bg sleepers_concrete sleeper_snow_1 rail rail_shadow | $(TIQ) > $@
$(BUILDDIR)/tracks_snow_concrete_tunnel_underlay_facing.png: $(GFXDIR)/tracks.xcf $(SELF)
	$(X2P) $< bg snow_ogfx sleepers_concrete sleeper_snow_1 rail tunnel_underlay_facing tunnel_underlay_facing_shadow tunnel_underlay_facing_snow | $(TIQ) > $@
$(BUILDDIR)/tracks_snow_concrete_tunnel_underlay_backside.png: $(GFXDIR)/tracks.xcf $(SELF)
	$(X2P) $< bg sleepers_concrete sleeper_snow_1 rail tunnel_underlay_backside | $(TIQ) > $@
$(BUILDDIR)/tracks_snow_concrete_bridge.png: $(GFXDIR)/tracks.xcf $(SELF)
	$(X2P) $< bg snow_ogfx sleepers_concrete sleeper_snow_1 rail | $(TIQ) > $@

# snow/metro
$(BUILDDIR)/tracks_metro_snow_underlay.png: $(GFXDIR)/tracks.xcf $(SELF)
	$(X2P) $< bg sleepers_concrete sleeper_snow_1 rail 3rd_rail_underlay rail_shadow | $(TIQ) > $@
$(BUILDDIR)/tracks_metro_snow_overlay.png: $(GFXDIR)/tracks.xcf $(SELF)
	$(X2P) $< bg sleepers_concrete sleeper_snow_1 rail 3rd_rail_overlay rail_shadow | $(TIQ) > $@
$(BUILDDIR)/tracks_metro_snow_tunnel_underlay_facing.png: $(GFXDIR)/tracks.xcf $(SELF)
	$(X2P) $< bg snow_ogfx sleepers_concrete sleeper_snow_1 rail tunnel_underlay_facing 3rd_rail_underlay tunnel_underlay_facing_shadow tunnel_underlay_facing_snow | $(TIQ) > $@
$(BUILDDIR)/tracks_metro_snow_tunnel_underlay_backside.png: $(GFXDIR)/tracks.xcf $(SELF)
	$(X2P) $< bg sleepers_concrete sleeper_snow_1 rail 3rd_rail_underlay tunnel_underlay_backside | $(TIQ) > $@
$(BUILDDIR)/tracks_metro_snow_bridge.png: $(GFXDIR)/tracks.xcf $(SELF)
	$(X2P) $< bg snow_ogfx sleepers_concrete sleeper_snow_1 3rd_rail_underlay rail | $(TIQ) > $@

# sand/wooden
$(BUILDDIR)/tracks_sand_wooden_underlay.png: $(GFXDIR)/tracks.xcf $(SELF)
	$(X2P) $< bg sand_1 sleepers_wooden_aa rail_aa rail_shadow | $(TIQ) > $@
$(BUILDDIR)/tracks_sand_wooden_overlay.png: $(GFXDIR)/tracks.xcf $(SELF)
	$(X2P) $< bg sleepers_wooden rail rail_shadow | $(TIQ) > $@
$(BUILDDIR)/tracks_sand_wooden_tunnel_underlay_facing.png: $(GFXDIR)/tracks.xcf $(SELF)
	$(X2P) $< bg sand_1 sleepers_wooden_aa rail_aa tunnel_underlay_facing tunnel_underlay_facing_shadow | $(TIQ) > $@
$(BUILDDIR)/tracks_sand_wooden_tunnel_underlay_backside.png: $(GFXDIR)/tracks.xcf $(SELF)
	$(X2P) $< bg sand_1 sleepers_wooden_aa rail_aa tunnel_underlay_backside | $(TIQ) > $@
$(BUILDDIR)/tracks_sand_wooden_bridge.png: $(GFXDIR)/tracks.xcf $(SELF)
	$(X2P) $< bg sand_1 sleepers_wooden_aa rail_aa | $(TIQ) > $@

# gravel/wooden
$(BUILDDIR)/tracks_gravel_wooden_underlay.png: $(GFXDIR)/tracks.xcf $(SELF)
	$(X2P) $< bg gravel_1 sleepers_wooden_aa rail_aa rail_shadow | $(TIQ) > $@
$(BUILDDIR)/tracks_gravel_wooden_overlay.png: $(GFXDIR)/tracks.xcf $(SELF)
	$(X2P) $< bg sleepers_wooden rail rail_shadow | $(TIQ) > $@
$(BUILDDIR)/tracks_gravel_wooden_tunnel_underlay_facing.png: $(GFXDIR)/tracks.xcf $(SELF)
	$(X2P) $< bg gravel_1 sleepers_wooden_aa rail_aa tunnel_underlay_facing tunnel_underlay_facing_shadow | $(TIQ) > $@
$(BUILDDIR)/tracks_gravel_wooden_tunnel_underlay_backside.png: $(GFXDIR)/tracks.xcf $(SELF)
	$(X2P) $< bg gravel_1 sleepers_wooden_aa rail_aa tunnel_underlay_backside | $(TIQ) > $@
$(BUILDDIR)/tracks_gravel_wooden_bridge.png: $(GFXDIR)/tracks.xcf $(SELF)
	$(X2P) $< bg gravel_1 sleepers_wooden_aa rail_aa | $(TIQ) > $@

# ballast/wooden
$(BUILDDIR)/tracks_ballast_wooden_underlay.png: $(GFXDIR)/tracks.xcf $(SELF)
	$(X2P) $< bg ballast_1 sleepers_wooden_aa rail_aa rail_shadow | $(TIQ) > $@
$(BUILDDIR)/tracks_ballast_wooden_overlay.png: $(GFXDIR)/tracks.xcf $(SELF)
	$(X2P) $< bg sleepers_wooden rail rail_shadow | $(TIQ) > $@
$(BUILDDIR)/tracks_ballast_wooden_tunnel_underlay_facing.png: $(GFXDIR)/tracks.xcf $(SELF)
	$(X2P) $< bg ballast_1 sleepers_wooden_aa rail_aa tunnel_underlay_facing tunnel_underlay_facing_shadow | $(TIQ) > $@
$(BUILDDIR)/tracks_ballast_wooden_tunnel_underlay_backside.png: $(GFXDIR)/tracks.xcf $(SELF)
	$(X2P) $< bg ballast_1 sleepers_wooden_aa rail_aa tunnel_underlay_backside | $(TIQ) > $@
$(BUILDDIR)/tracks_ballast_wooden_bridge.png: $(GFXDIR)/tracks.xcf $(SELF)
	$(X2P) $< bg ballast_1 sleepers_wooden_aa rail_aa | $(TIQ) > $@

# sand/concrete
$(BUILDDIR)/tracks_sand_concrete_underlay.png: $(GFXDIR)/tracks.xcf $(SELF)
	$(X2P) $< bg sand_1 sleepers_concrete_aa rail_aa rail_shadow | $(TIQ) > $@
$(BUILDDIR)/tracks_sand_concrete_overlay.png: $(GFXDIR)/tracks.xcf $(SELF)
	$(X2P) $< bg sleepers_concrete rail rail_shadow | $(TIQ) > $@
$(BUILDDIR)/tracks_sand_concrete_tunnel_underlay_facing.png: $(GFXDIR)/tracks.xcf $(SELF)
	$(X2P) $< bg sand_1 sleepers_concrete_aa rail_aa tunnel_underlay_facing tunnel_underlay_facing_shadow | $(TIQ) > $@
$(BUILDDIR)/tracks_sand_concrete_tunnel_underlay_backside.png: $(GFXDIR)/tracks.xcf $(SELF)
	$(X2P) $< bg sand_1 sleepers_concrete_aa rail_aa tunnel_underlay_backside | $(TIQ) > $@
$(BUILDDIR)/tracks_sand_concrete_bridge.png: $(GFXDIR)/tracks.xcf $(SELF)
	$(X2P) $< bg sand_1 sleepers_concrete_aa rail_aa | $(TIQ) > $@

# gravel/concrete
$(BUILDDIR)/tracks_gravel_concrete_underlay.png: $(GFXDIR)/tracks.xcf $(SELF)
	$(X2P) $< bg gravel_1 sleepers_concrete_aa rail_aa rail_shadow | $(TIQ) > $@
$(BUILDDIR)/tracks_gravel_concrete_overlay.png: $(GFXDIR)/tracks.xcf $(SELF)
	$(X2P) $< bg sleepers_concrete rail rail_shadow | $(TIQ) > $@
$(BUILDDIR)/tracks_gravel_concrete_tunnel_underlay_facing.png: $(GFXDIR)/tracks.xcf $(SELF)
	$(X2P) $< bg gravel_1 sleepers_concrete_aa rail_aa tunnel_underlay_facing tunnel_underlay_facing_shadow | $(TIQ) > $@
$(BUILDDIR)/tracks_gravel_concrete_tunnel_underlay_backside.png: $(GFXDIR)/tracks.xcf $(SELF)
	$(X2P) $< bg gravel_1 sleepers_concrete_aa rail_aa tunnel_underlay_backside | $(TIQ) > $@
$(BUILDDIR)/tracks_gravel_concrete_bridge.png: $(GFXDIR)/tracks.xcf $(SELF)
	$(X2P) $< bg gravel_1 sleepers_concrete_aa rail_aa | $(TIQ) > $@

# ballast/concrete
$(BUILDDIR)/tracks_ballast_concrete_underlay.png: $(GFXDIR)/tracks.xcf $(SELF)
	$(X2P) $< bg ballast_1 sleepers_concrete_aa rail_aa rail_shadow | $(TIQ) > $@
$(BUILDDIR)/tracks_ballast_concrete_overlay.png: $(GFXDIR)/tracks.xcf $(SELF)
	$(X2P) $< bg sleepers_concrete rail rail_shadow | $(TIQ) > $@
$(BUILDDIR)/tracks_ballast_concrete_tunnel_underlay_facing.png: $(GFXDIR)/tracks.xcf $(SELF)
	$(X2P) $< bg ballast_1 sleepers_concrete_aa rail_aa tunnel_underlay_facing tunnel_underlay_facing_shadow | $(TIQ) > $@
$(BUILDDIR)/tracks_ballast_concrete_tunnel_underlay_backside.png: $(GFXDIR)/tracks.xcf $(SELF)
	$(X2P) $< bg ballast_1 sleepers_concrete_aa rail_aa tunnel_underlay_backside | $(TIQ) > $@
$(BUILDDIR)/tracks_ballast_concrete_bridge.png: $(GFXDIR)/tracks.xcf $(SELF)
	$(X2P) $< bg ballast_1 sleepers_concrete_aa rail_aa | $(TIQ) > $@

# metro
$(BUILDDIR)/tracks_metro_underlay.png: $(GFXDIR)/tracks.xcf $(SELF)
	$(X2P) $< bg ballast_1 sleepers_concrete_aa rail_aa 3rd_rail_underlay rail_shadow | $(TIQ) > $@
$(BUILDDIR)/tracks_metro_overlay.png: $(GFXDIR)/tracks.xcf $(SELF)
	$(X2P) $< bg sleepers_concrete rail 3rd_rail_overlay rail_shadow | $(TIQ) > $@
$(BUILDDIR)/tracks_metro_tunnel_underlay_facing.png: $(GFXDIR)/tracks.xcf $(SELF)
	$(X2P) $< bg ballast_1 sleepers_concrete_aa rail_aa tunnel_underlay_facing 3rd_rail_underlay tunnel_underlay_facing_shadow | $(TIQ) > $@
$(BUILDDIR)/tracks_metro_tunnel_underlay_backside.png: $(GFXDIR)/tracks.xcf $(SELF)
	$(X2P) $< bg ballast_1 sleepers_concrete_aa rail_aa 3rd_rail_underlay tunnel_underlay_backside | $(TIQ) > $@
$(BUILDDIR)/tracks_metro_bridge.png: $(GFXDIR)/tracks.xcf $(SELF)
	$(X2P) $< bg ballast_1 sleepers_concrete_aa 3rd_rail_underlay rail_aa | $(TIQ) > $@
